#!/bin/bash

# The componet to check system related things

if [ -f /usr/bin/makeself.sh ]; then
  # makeself is installed
  echo "makeself.sh is installed, good"
 mkslf=$(which makeself.sh)
else
  if [ -f /usr/bin/makeself ]; then
  echo "makeself is installed, good"
   mkslf=$(which makeself)
  else
  echo "makeself is not installed please install via this application"
  sleep 3
  fi 
fi